unicode_encode
unicode_get_subst_char
Unicode Functions
PHP Manual

# unicode_get_error_mode

(PHP 6 >= 6.0.0)

unicode_get_error_mode — Get the error mode for strings conversions

### Description

int unicode_get_error_mode ( int `$direction` )

Return the current error mode for string conversions in `direction` .

### Parameters

`direction`

  Get the error mode for conversion `direction` . This can either be `FROM_UNICODE` or `TO_UNICODE`. See unicode_set_error_mode() for more details.

### Return Values

This function returns one of the error mode constants or `FALSE` on failure.

### Errors/Exceptions

Emits a `E_WARNING` level error if `direction` is invalid.

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- unicode_set_error_mode() - Set the error mode for strings conversions
- unicode_encode() - Convert a unicode string in any encoding
- unicode_decode() - Convert a binary string into a Unicode string

unicode_encode
unicode_get_subst_char
Unicode Functions
PHP Manual